Automations
Get all automations
Retrieve all recurring investment and savings automations for a user.
GET
/
automations
Get all automations
curl --request GET \
--url https://{host}/automations \
--header 'Authorization: Bearer <token>' \
--header 'x-user-id: <x-user-id>'import requests
url = "https://{host}/automations"
headers = {
"x-user-id": "<x-user-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-user-id': '<x-user-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "7501d8537fb3fc001234abcd",
"category": "TopUpAutomation",
"status": "Active",
"frequency": "monthly",
"dayOfMonth": 15,
"currency": "EUR",
"amount": 100,
"allocationMethod": "holdings",
"mandate": {
"id": "7501d8537fb3fc001234efgh",
"status": "Active",
"bankAccountId": "7501d8537fb3fc001234ijkl"
}
},
{
"id": "7501d8537fb3fc001234mnop",
"category": "SavingsTopUpAutomation",
"status": "Active",
"frequency": "monthly",
"dayOfMonth": 1,
"currency": "EUR",
"amount": 50,
"savingsProduct": "mmf_dist_eur",
"mandate": {
"id": "7501d8537fb3fc001234qrst",
"status": "Active",
"bankAccountId": "7501d8537fb3fc001234ijkl"
}
}
]
}{
"status": 401,
"error": {
"message": "User not found"
},
"responseId": "145f2b0d-1d5b-4e91-8d0d-7af0ae9ad13a"
}{
"status": 403,
"error": {
"message": "You do not have access to this bank account"
},
"responseId": "5e467f79-c62c-4d83-9810-7a0f8529fd76"
}Authorizations
Auth0-issued access token that includes the scopes listed for the endpoint.
Headers
User identifier for the M2M client to specify which user's data to access.
Pattern:
^[a-f0-9]{24}$Response
List of automations retrieved successfully
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I
Get all automations
